> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Image

> This endpoint is used to fetch images from the processing queue.

<Note>
  Complex image generation requests are queued, and results can be retrieved later with an estimated processing time provided by the eta parameter.
</Note>

## Request

Send a `POST` request to below endpoint to return the corresponding queued images, specified by the `request_id` parameter in the request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/pony/fetch' \
```

## Body

```json json theme={null}
{ 
    "key": "enterprise_api_key", 
    "request_id": "your_request_id"
}
```


## OpenAPI

````yaml POST /enterprise/pony/fetch
openapi: 3.0.0
info:
  title: ModelsLab Enterprise Pony Model API
  version: 1.0.0
  description: OpenAPI spec for enterprise Pony Model server operations.
servers:
  - url: https://modelslab.com/api/v1
security: []
paths:
  /enterprise/pony/fetch:
    post:
      summary: 'Enterprise: Fetch Queued Request Endpoint'
      description: Fetch Queued Request API fetches queued request.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - key
                - request_id
              properties:
                key:
                  type: string
                  description: Your API key
                request_id:
                  type: string
                  description: The request ID returned from the generation endpoint
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
        '401':
          description: Unauthorized - Invalid API Key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GenericResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: Operation completed successfully
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Error message

````